Loading...
Searching...
No Matches
form_expr_quadrature_unary< UnaryFunction, Expr >

## Detailed Description

template<class UnaryFunction, class Expr>
class rheolef::details::form_expr_quadrature_unary< UnaryFunction, Expr >

Definition at line 401 of file form_expr_quadrature.h.

## Public Types

typedef geo_element::size_type | size_type
typedef Expr::memory_type | memory_type
typedef details::generic_unary_traits< UnaryFunction >::template result_hint< typenameExpr::value_type >::type | result_hint
typedef details::generic_unary_traits< UnaryFunction >::template hint< typenameExpr::value_type, result_hint >::result_type | value_type
typedef scalar_traits< value_type >::type | scalar_type
typedef float_traits< value_type >::type | float_type
typedef space_basic< float_type, memory_type > | space_type
typedef geo_basic< float_type, memory_type > | geo_type
typedef Expr::vf_tag_type | vf_tag_type
typedef details::dual_vf_tag< vf_tag_type >::type | vf_dual_tag_type
typedef form_expr_quadrature_unary< UnaryFunction, Expr > | self_type
typedef form_expr_quadrature_unary< UnaryFunction, typename Expr::dual_self_type > | dual_self_type
typedef Expr::maybe_symmetric::type | maybe_symmetric

## Public Member Functions

template<class Sfinae = typename std::enable_if<is_form_expr_quadrature_arg<Expr>::value, Expr>::type>
| form_expr_quadrature_unary (const UnaryFunction &f, const Expr &expr)
const space_type & | get_trial_space () const
const space_type & | get_test_space () const
size_type | n_derivative () const
void | initialize (const geo_basic< float_type, memory_type > &omega_K, const integrate_option &iopt)
void | initialize (const band_basic< float_type, memory_type > &gh, const integrate_option &iopt)
template<class Value >
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class Value >
bool | valued_check () const

## Static Public Attributes

static const space_constant::valued_type | valued_hint = space_constant::valued_tag_traits<value_type>::value

## Protected Attributes

UnaryFunction | _f
Expr | _expr

## Member Typedef Documentation

## size_type

template<class UnaryFunction , class Expr >

typedef geo_element::size_type size_type

Definition at line 405 of file form_expr_quadrature.h.

## memory_type

template<class UnaryFunction , class Expr >

typedef Expr::memory_type memory_type

Definition at line 406 of file form_expr_quadrature.h.

## result_hint

template<class UnaryFunction , class Expr >

typedef details::generic_unary_traits<UnaryFunction>::template result_hint<typenameExpr::value_type>::type result_hint

Definition at line 408 of file form_expr_quadrature.h.

## value_type

template<class UnaryFunction , class Expr >

typedef details::generic_unary_traits<UnaryFunction>::template hint<typenameExpr::value_type,result_hint>::result_type value_type

Definition at line 411 of file form_expr_quadrature.h.

## scalar_type

template<class UnaryFunction , class Expr >

typedef scalar_traits<value_type>::type scalar_type

Definition at line 412 of file form_expr_quadrature.h.

## float_type

template<class UnaryFunction , class Expr >

typedef float_traits<value_type>::type float_type

Definition at line 413 of file form_expr_quadrature.h.

## space_type

template<class UnaryFunction , class Expr >

typedef space_basic<float_type,memory_type> space_type

Definition at line 414 of file form_expr_quadrature.h.

## geo_type

template<class UnaryFunction , class Expr >

typedef geo_basic<float_type,memory_type> geo_type

Definition at line 415 of file form_expr_quadrature.h.

## vf_tag_type

template<class UnaryFunction , class Expr >

typedef Expr::vf_tag_type vf_tag_type

Definition at line 416 of file form_expr_quadrature.h.

## vf_dual_tag_type

template<class UnaryFunction , class Expr >

typedef details::dual_vf_tag<vf_tag_type>::type vf_dual_tag_type

Definition at line 418 of file form_expr_quadrature.h.

## self_type

template<class UnaryFunction , class Expr >

typedef form_expr_quadrature_unary<UnaryFunction,Expr> self_type

Definition at line 419 of file form_expr_quadrature.h.

## dual_self_type

template<class UnaryFunction , class Expr >

typedef form_expr_quadrature_unary<UnaryFunction, typename Expr::dual_self_type> dual_self_type

Definition at line 421 of file form_expr_quadrature.h.

## maybe_symmetric

template<class UnaryFunction , class Expr >

typedef Expr::maybe_symmetric::type maybe_symmetric

Definition at line 422 of file form_expr_quadrature.h.

## Constructor & Destructor Documentation

## form_expr_quadrature_unary()

template<class UnaryFunction , class Expr >
template<class Sfinae = typename std::enable_if<is_form_expr_quadrature_arg<Expr>::value, Expr>::type>

form_expr_quadrature_unary | ( | const UnaryFunction & | f,
|  | const Expr & | expr
| ) |  |

Definition at line 429 of file form_expr_quadrature.h.

## Member Function Documentation

## get_trial_space()

template<class UnaryFunction , class Expr >

const space_type & get_trial_space | ( |  | ) | const

Definition at line 434 of file form_expr_quadrature.h.

## get_test_space()

template<class UnaryFunction , class Expr >

const space_type & get_test_space | ( |  | ) | const

Definition at line 435 of file form_expr_quadrature.h.

## n_derivative()

template<class UnaryFunction , class Expr >

size_type n_derivative | ( |  | ) | const

Definition at line 436 of file form_expr_quadrature.h.

## initialize() [1/2]

template<class UnaryFunction , class Expr >

void initialize | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 440 of file form_expr_quadrature.h.

## initialize() [2/2]

template<class UnaryFunction , class Expr >

void initialize | ( | const band_basic< float_type, memory_type > & | gh,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 442 of file form_expr_quadrature.h.

## evaluate()

template<class UnaryFunction , class Expr >
template<class Value >

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 446 of file form_expr_quadrature.h.

## valued_check()

template<class UnaryFunction , class Expr >
template<class Value >

bool valued_check | ( |  | ) | const

Definition at line 459 of file form_expr_quadrature.h.

## Member Data Documentation

## valued_hint

template<class UnaryFunction , class Expr >

const space_constant::valued_type valued_hint = space_constant::valued_tag_traits<value_type>::value

static

Definition at line 424 of file form_expr_quadrature.h.

## _f

template<class UnaryFunction , class Expr >

UnaryFunction _f

protected

Definition at line 466 of file form_expr_quadrature.h.

## _expr

template<class UnaryFunction , class Expr >

Expr _expr

protected

Definition at line 467 of file form_expr_quadrature.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/form_expr_quadrature.h